8.7 Hibernate Resolution Issue

Applications using Hibernate 3.4.0.GA need to upgrade the JBoss Hibernate Entity manager fragment bundle to version 3.4.0.GA-A. The symptoms are that the application will fail to resolve due to missing imports of packages such as org.hibernate.ejb.transaction and JBoss Hibernate Annotations com.springsource.org.hibernate.annotations. See bug 335174 for details.

The JBoss Hibernate Entity manager fragment bundle com.springsource.org.hibernate.ejb v3.4.0.GA in the SpringSource Enterprise Bundle Repository depends on the package org.slf4j with a version range that excludes the version of the package provided with Virgo. The net effect is that Hibernate EJB fragment bundle fails to attach to its host com.springsource.org.hibernate and the host then does not export the packages the application may need, such as org.hibernate.ejb.transaction.

An updated JBoss Hibernate Entity manager fragment and JBoss Hibernate Annotations with versions 3.4.0.GA-A which fixes this problem is available from the SpringSource Enterprise Bundle Repository.